
package com.ejie.ad74a.ws.client.platea.solAportacion;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Clase Java para TPaymentStatus.
 * 
 * <p>El siguiente fragmento de esquema especifica el contenido que se espera que haya en esta clase.
 * <p>
 * <pre>
 * &lt;simpleType name="TPaymentStatus"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="PENDING"/&gt;
 *     &lt;enumeration value="DONE"/&gt;
 *     &lt;enumeration value="CONFIRMED"/&gt;
 *     &lt;enumeration value="EXPIRED"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "TPaymentStatus")
@XmlEnum
public enum TPaymentStatus {

    PENDING,
    DONE,
    CONFIRMED,
    EXPIRED;

    public String value() {
        return name();
    }

    public static TPaymentStatus fromValue(String v) {
        return valueOf(v);
    }

}
